XpGetScreenOfContext(3Xp)

NAME
XpGetScreenOfContext - Obtains a pointer to the screen associated with the specified print context.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

Screen *XpGetScreenOfContext ( display, print_context )
      Display *display;
      XPContext print_context;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

print_context
    A pre-existing print context. This argument is currently ignored, but must be specified.

DESCRIPTION

XpGetScreenOfContext returns the screen that is associated with the current print context of display. This call must be made after XpSetContext to determine which specific screen other X resources must be created on.

Each printer supported by a print server is associated with exactly one of the screens returned in the connection setup reply.

This function returns NULL if failed to get the screen.

DIAGNOSTICS

XPBadContext
    A valid print context-id has not been set prior to making this call.

SEE ALSO
XpSetContext(3Xp)